templates:
- freestyle
- base

catalog:
  title: SBCL Binary

variables:
  recipe.maintainer:
  - Jan Moringen <jmoringe@techfak.uni-bielefeld.de>
  description: >-
    Steel Bank Common Lisp (SBCL) is a high performance Common Lisp
    compiler.

    It is open source / free software, with a permissive license. In
    addition to the compiler and runtime system for ANSI Common Lisp,
    it provides an interactive environment including a debugger, a
    statistical profiler, a code coverage tool, and many other
    extensions.

    This recipe downloads a prebuilt binary.
  keywords:
  - lisp
  - common lisp
  - sbcl
  - steel bank common lisp
  - compiler
  - binary
  - download
  license: Public Domain

  homepage.url: http://sbcl.org
  documentation.url: ${homepage.url}/manual
  bug-tracker.url: https://bugs.launchpad.net/sbcl

  numeric-version: ${version-name}
  archive.filename: sbcl-${numeric-version}-x86-64-linux-binary.tar.bz2
  scm: archive
  repository: http://sourceforge.net/projects/sbcl/files/sbcl/${numeric-version}/${archive.filename}/download

  extra-provides:
  - nature: program
    target: sbcl
    version: ${version-name}
  - nature: meta
    target: common-lisp-compiler

  install-command: INSTALL_ROOT="${toolkit.dir}" sh install.sh
  shell.command: ${install-command}
  artifact-name: sbcl.tar.gz
  shell.command:ci: |
    ${install-command}

    tar -czf ${artifact-name} install/

  archive-pattern: ${artifact-name}

  sloccount.directories: false

versions:
- pattern: '^1\.[0-9]+\.[0-9]+$'
